import json
import re
import sys
import os

def main(parameterFile):

    fs=os.path.join(os.path.expanduser('~'),'.labkey','setup.json')
    with open(fs,'r') as f:
        setup=json.load(f)

    sys.path.append(setup['paths']['parseConfig'])
    import parseConfig

    with open(parameterFile,'r') as f:
        pars=json.load(f)

    pars=parseConfig.convert(pars,setup)
    print(pars)
    pars=parseConfig.convertValues(pars)
    print(pars)
    
       

if __name__=='__main__':
    main(sys.argv[1])
